Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.signing.signatory.pgp
[Groovy] Class PgpSignatory

    java.lang.Object
      org.gradle.plugins.signing.signatory.SignatorySupport
          org.gradle.plugins.signing.signatory.pgp.PgpSignatory

    class PgpSignatory
    extends SignatorySupport

Property Summary
`String` | `name`

Constructor Summary
`PgpSignatory(String name, PGPSecretKey secretKey, String password)`

Method Summary
`PGPSignatureGenerator` | `createSignatureGenerator()`
`PgpKeyId` | `getKeyId()`
`void` | `sign(InputStream toSign, OutputStream signatureDestination)` Exhausts `toSign`, and writes the signature to `signatureDestination`.

Methods inherited from class SignatorySupport
sign

Property Detail

### name

    final String name

Constructor Detail

### PgpSignatory

    PgpSignatory(String name, PGPSecretKey secretKey, String password)

Method Detail

### createSignatureGenerator

    PGPSignatureGenerator createSignatureGenerator()

### getKeyId

    PgpKeyId getKeyId()

### sign

    void sign(InputStream toSign, OutputStream signatureDestination)

  Exhausts `toSign`, and writes the signature to `signatureDestination`. The caller is responsible for closing the streams, though the output WILL be flushed.

Gradle API 1.10